Summary:	Maildrop mail filter/mail delivery agent
Name:		maildrop
Version:	2.6.0
Release:	%mkrel 3
License:	GPL
Group:		System/Servers
URL:		http://www.courier-mta.org/maildrop/
Source0:	https://sourceforge.net/projects/courier/files/maildrop/%{version}/maildrop-%{version}.tar.bz2
Source1:	https://sourceforge.net/projects/courier/files/maildrop/%{version}/maildrop-%{version}.tar.bz2.sig
# S1, S2 & P0 originates from:
# http://www.firstpr.com.au/web-mail/Maildrop-mods-filtering/
Source2:	subjadd.c
Source3:	my.mailfilter.txt.bz2
Source4:	README.DELTAG.html.bz2
Patch0:		maildrop-2.0.4-DELTAG.patch
Patch2:		maildrop-1.7.0-format_not_a_string_literal_and_no_format_arguments.diff
BuildRequires:	gdbm-devel
BuildRequires:	pam-devel
BuildRequires:	courier-authlib-devel
BuildRequires:	pkgconfig(libpcre)
BuildRequires:	pkgconfig(libidn)
Requires:	courier-authdaemon
Obsoletes:	maildrop-mysql <= 1.7.0-27.mga2
Obsoletes:	maildrop-openldap <= 1.7.0-27.mga2

%description
Maildrop is a combination mail filter/mail delivery agent.
Maildrop reads the message to be delivered to your mailbox,
optionally reads instructions from a file how filter incoming
mail, then based on these instructions may deliver mail to an
alternate mailbox, or forward it, instead of dropping the
message into your mailbox.

Maildrop uses a structured, real, meta-programming language in
order to define filtering instructions.  Its basic features are
fast and efficient.  At sites which carry a light load, the
more advanced, CPU-demanding, features can be used to build
very sophisticated mail filters.  Maildrop deployments have
been reported at sites that support as many as 30,000
mailboxes.

Maildrop mailing list:
http://lists.sourceforge.net/lists/listinfo/courier-maildrop

This version is compiled with support for GDBM database files,
maildir enhancements (folders+quotas), and courier authlib
support.

%package	devel
Summary:	Development tools for handling E-mail messages
Group:		Development/C

%description	devel
The maildrop-devel package contains the libraries and header files
that can be useful in developing software that works with or processes
E-mail messages.

Install the maildrop-devel package if you want to develop applications
which use or process E-mail messages.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p0 -b .DELTAG
%patch2 -p0

cp %{SOURCE2} subjadd.c
bzcat %{SOURCE3} > my.mailfilter.txt
bzcat %{SOURCE4} > README.DELTAG.html

%build
export DEFAULT_DEF="./Maildir"
export MAILBOT="%{_bindir}/mailbot"
export CFLAGS="%{optflags} -DLDAP_DEPRECATED"
export CXXFLAGS="%{optflags} -DLDAP_DEPRECATED"


# configure and make the standard maildrop
%configure2_5x --disable-shared --with-devel \
    --with-etcdir=%{_sysconfdir}/maildrop \
    --with-db=gdbm --enable-maildirquota --with-trashquota \
    --enable-restrict-trusted=0 --enable-maildrop-uid=root --enable-maildrop-gid=mail \
    --enable-sendmail=%{_sbindir}/sendmail --enable-tempdir=.tmp --enable-smallmsg=8192 \
    --enable-global-timeout=300 --enable-keep-fromline=1 --enable-syslog=1 --with-dirsync \
    --enable-trusted-users="root mail daemon postfix postmaster uucp qmaild sendmail mmdf vpopmail"
perl -pi -e "s|^#define MAILBOT.*|#define MAILBOT \"%{_bindir}/mailbot\"|g" maildrop/mailbot.h
perl -pi -e "s|^#define DEFAULT_DEF.*|#define DEFAULT_DEF \"./Maildir\"|g" maildrop/mailbot.h maildrop/config.h
%make

# make the addon
gcc %{optflags} -o subjadd subjadd.c

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print

install -d %{buildroot}%{_sysconfdir}/maildrop/maildroprcs

# install the extras
install -m755 subjadd %{buildroot}%{_bindir}/

install -m644 maildir/quotawarnmsg %{buildroot}%{_sysconfdir}/maildrop/quotawarnmsg

cat > %{buildroot}%{_sysconfdir}/maildrop/autoresponsesquota <<EOF
#100000000S,10000C
EOF

cat > %{buildroot}%{_sysconfdir}/maildrop/maildirfilterconfig <<EOF
MAILDIRFILTER=../.mailfilter 
MAILDIR=./Maildir 
EOF

cat > %{buildroot}%{_sysconfdir}/maildrop/maildirshared <<EOF
#
EOF

cat > %{buildroot}%{_sysconfdir}/maildrop/maildroprc <<EOF
#logfile "/var/log/maildrop.log"
EOF

# fix html docs for proper docs inclusion
mv %{buildroot}%{_datadir}/maildrop/html html

# fix so that these won't conflict with the courier-imap package
mv %{buildroot}%{_bindir}/deliverquota %{buildroot}%{_bindir}/deliverquota-maildrop
mv %{buildroot}%{_bindir}/maildirmake %{buildroot}%{_bindir}/maildirmake-maildrop

mv %{buildroot}%{_mandir}/man1/maildirmake.1 %{buildroot}%{_mandir}/man1/maildirmake-maildrop.1
mv %{buildroot}%{_mandir}/man8/deliverquota.8 %{buildroot}%{_mandir}/man8/deliverquota-maildrop.8

# add information about 2.0.0 upgrade
cat > README.2.0.0.upgrade.urpmi << EOF
Version 2.0 introduces a new pattern matching engine that uses the PCRE
library, that uses a completely different syntax. However, very few changes
should be required to upgrade existing maildrop recipes to the new syntax.

Review the maildropfilter manual page which has been revised to document the
new pattern matching syntax. The legacy pattern matching engine is still
available by setting MAILDROP_OLD_REGEXP to 1. See also the "Conversion of
maildrop 1.x pattern to 2.0" section in the manual page, for more information.
EOF


%files
%doc README.2.0.0.upgrade.urpmi
%doc INSTALL NEWS UPGRADE ChangeLog maildir/README* html
%doc INSTALL.html maildroptips.txt my.mailfilter.txt
%doc README.html UPGRADE.html README.DELTAG.html
%doc maildir/README.maildirfilter.html
%doc maildir/README.maildirquota.html
%doc maildir/README.maildirquota.txt
%doc maildir/README.sharedfolders.html
%doc maildir/README.sharedfolders.txt

%attr(0755,root,mail) %dir %{_sysconfdir}/maildrop
%attr(0700,root,mail) %dir %{_sysconfdir}/maildrop/maildroprcs

%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/maildrop/autoresponsesquota
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/maildrop/maildirfilterconfig
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/maildrop/maildirshared
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/maildrop/maildroprc
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/maildrop/quotawarnmsg

%attr(0755,root,mail) %{_bindir}/lockmail
%attr(0755,root,mail) %{_bindir}/maildrop
%attr(0755,root,root) %{_bindir}/deliverquota-maildrop
%attr(0755,root,root) %{_bindir}/mailbot
%attr(0755,root,root) %{_bindir}/maildirmake-maildrop
%attr(0755,root,root) %{_bindir}/makedatprog
%attr(0755,root,root) %{_bindir}/makemime
%attr(0755,root,root) %{_bindir}/reformime
%attr(0755,root,root) %{_bindir}/subjadd

%attr(0755,root,root) %{_bindir}/makedat
%attr(0755,root,root) %{_bindir}/reformail

%attr(0644,root,root) %{_mandir}/man[1578]/*

%files devel
%attr(0644,root,root) %{_mandir}/man3/*
%attr(0644,root,root) %{_includedir}/*.h
%attr(0755,root,root) %{_libdir}/*.a



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.6.0-3.mga3
+ Revision: 359311
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 2.6.0-2.mga3
+ Revision: 323807
- rebuild for new pcre

* Fri Oct 12 2012 oden <oden> 2.6.0-1.mga3
+ Revision: 305036
- 2.6.0

* Tue Feb 28 2012 ovitters <ovitters> 2.5.5-3.mga2
+ Revision: 215740
- obsolete no longer needed mysql and openldap subpackages

* Mon Feb 27 2012 ovitters <ovitters> 2.5.5-2.mga2
+ Revision: 215728
- require courier-authdaemon

* Mon Feb 27 2012 ovitters <ovitters> 2.5.5-1.mga2
+ Revision: 215708
- new version 2.5.5
- MAKE SURE TO READ: man maildropfilter

* Mon Dec 05 2011 fwang <fwang> 1.7.0-27.mga2
+ Revision: 176944
- rebuild for new gdbm

* Sun Oct 02 2011 dlucio <dlucio> 1.7.0-26.mga2
+ Revision: 150938
- Wrong package, forgive me

* Sun Oct 02 2011 dlucio <dlucio> 1.7.0-25.mga2
+ Revision: 150933
- Fixing Bug 2655

  + dmorgan <dmorgan>
    - imported package maildrop

